Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000169Frama-CKernelpublic2009-06-29 20:212014-02-12 16:57
Reporternsh 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Beryllium-20090601-beta1 
Target VersionFixed in VersionFrama-C Beryllium-20090901 
Summary0000169: Build fails due to Printexc.record_backtrace
DescriptionDuring build I get

File "src/kernel/boot.ml", line 72, characters 38-63:
Unbound value Printexc.record_backtrace

if Parameters.Debug.get () > 0 then Printexc.record_backtrace true;

Packages I have installed on my Fedora 10

ocaml-camlp4-3.10.2-5.fc10.i386
ocaml-camlp5-5.09-1.fc10.i386
ocaml-runtime-3.10.2-5.fc10.i386
ocaml-3.10.2-5.fc10.i386

It would be nice to check for required API in configure
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000224)
signoles (manager)
2009-06-30 09:08

Thank's for your report. That's a known and already fixed issue. You can apply the patch provided on the Frama-C wiki to fix it.

http://bts.frama-c.com/dokuwiki/lib/exe/fetch.php?media=wiki:frama-c-beryllium-20090601-beta1.patch [^]

- Issue History
Date Modified Username Field Change
2009-06-29 20:21 nsh New Issue
2009-06-30 09:06 signoles Status new => assigned
2009-06-30 09:06 signoles Assigned To => signoles
2009-06-30 09:08 signoles Note Added: 0000224
2009-06-30 09:08 signoles Status assigned => resolved
2009-06-30 09:08 signoles Fixed in Version => Frama-C Beryllium
2009-06-30 09:08 signoles Resolution open => fixed
2009-09-02 10:54 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker